﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
@using Toyota.Common.Web.Credential;
@model Toyota.Common.Web.MVC.ModelHolder
<table style="margin-left: 20px;" border="0">
    <tr>
        <td nowrap="nowrap">
            Supplier Code<b style="color: Red;">*</b>
        </td>
        <td colspan="3" style="padding-right:10px">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPSupplierLabor";
                    gridLookup.Width = 150;
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(250);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridLabor" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Communication Media";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtCommunicationMedia";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 50;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtItemNoLabor";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 0;
                    settings.Properties.MaxLength = 10;
                    settings.ClientVisible = false;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Union";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            <table>
                <tr style="vertical-align:top">
                    <td>
                        @Html.Common().DevExpress().GridLookup(
                        gridLookup =>
                        {
                            gridLookup.Name = "txtAffiliation";
                            gridLookup.Width = Unit.Pixel(50);
                            gridLookup.ShowDescription = true;
                            gridLookup.DescriptionWidth = Unit.Pixel(100);
                            gridLookup.GridProperties.KeyFieldName = "UNION_CD;UNION_NAME";
                            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialHeaderSupplierUnionSuppInfo" };
                            gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            gridLookup.GridProperties.ClientSideEvents.RowClick = "UnionOther";
                            gridLookup.ReadOnly = true;
                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "UNION_CD";
                                column.FieldName = "UNION_CD";
                                column.Caption = "Union Code";
                                column.Width = Unit.Pixel(80);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "UNION_NAME";
                                column.FieldName = "UNION_NAME";
                                column.Caption = "Union Name";
                                column.Width = Unit.Pixel(80);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                        }).Bind(ViewData["UnionCombo"]).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "txtOtherUnion";
                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                            settings.Width = 100;
                            settings.ClientVisible = true;
                            //settings.Enabled = false;
                            //settings.Properties.MaxLength = 10;
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Overtime";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtOvertime";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Collective Labor Agreement";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtCollectiveLaborAgreement";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Single Plural";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
             comboBox =>
             {
                 comboBox.Name = "txtSinglePlural";
                 comboBox.Properties.Items.Add("Single", "Single");
                 comboBox.Properties.Items.Add("Plural", "Plural");
                 comboBox.SelectedIndex = -1;
                 comboBox.Width = Unit.Pixel(150);

             }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Pensiun Program";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtPensiunProgram";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Meal transport Allowance";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtMealTransportAllowance";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Bonus";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            <table>
                <tr>
                    <td width="80%">
                        @Html.DevExpress().TextBox(
                        textBox =>
                        {
                            textBox.Properties.ClientInstanceName = "txtBonus";
                            textBox.Name = "txtBonus";
                            textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                            textBox.Width = Unit.Pixel(150);

                        }).GetHtml()
                    </td>
                    <td width="20%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnClearBonus";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Clear";
                            btnSettings.Width = 50;
                            btnSettings.ClientSideEvents.Click = "ClearBonus";
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "THR";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtThr";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Medical Allowance";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtMedicalAllowance";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Salary Increase";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            <table>
                <tr>
                    <td width="80%">
                        @Html.DevExpress().TextBox(
                        textBox =>
                        {
                            textBox.Properties.ClientInstanceName = "txtSalaryIncrease";
                            textBox.Name = "txtSalaryIncrease";
                            textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                            textBox.Width = Unit.Pixel(150);

                        }).GetHtml()
                    </td>
                    <td width="20%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnClearSalary";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Clear";
                            btnSettings.Width = 50;
                            btnSettings.ClientSideEvents.Click = "ClearSalary";
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td>
            
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtAvailability";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 0;
                    settings.ClientVisible = false;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Strike 3";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            <table>
                <tr>
                    <td width="80%">
                        @Html.DevExpress().TextBox(
                        textBox =>
                        {
                            textBox.Properties.ClientInstanceName = "txtStrike";
                            textBox.Name = "txtStrike";
                            textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                            textBox.Width = Unit.Pixel(150);

                        }).GetHtml()
                    </td>
                    <td width="20%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnClearStrike3";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Clear";
                            btnSettings.Width = 50;
                            btnSettings.ClientSideEvents.Click = "ClearStrike3";
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            settings =>
            {
                settings.Name = "txtStrike2key";
                settings.Text = "Strike 2";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
            }).GetHtml()
        </td>
        <td>
            <table>
                <tr>
                    <td width="80%">
                        @Html.DevExpress().TextBox(
                        textBox =>
                        {
                            textBox.Properties.ClientInstanceName = "txtStrike2value";
                            textBox.Name = "txtStrike2value";
                            textBox.Width = Unit.Pixel(150);
                            //textBox.ClientEnabled = false;
                            //textBox.ControlStyle.CssClass = "readonlytextbox";
                        }).GetHtml()
                    </td>
                    <td width="20%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnClearStrike2";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Clear";
                            btnSettings.Width = 50;
                            btnSettings.ClientSideEvents.Click = "ClearStrike2";
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            settings =>
            {
                settings.Name = "txtStrike1key";
                settings.Text = "Strike 1";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
            }).GetHtml()
        </td>
        <td colspan="2">
            <table>
                <tr>
                    <td width="80%">
                        @Html.DevExpress().TextBox(
                        textBox =>
                        {
                            textBox.Properties.ClientInstanceName = "txtStrike1value";
                            textBox.Name = "txtStrike1value";
                            textBox.Width = Unit.Pixel(150);
                            //textBox.ClientEnabled = false;
                            //textBox.ControlStyle.CssClass = "readonlytextbox";
                        }).GetHtml()
                    </td>
                    <td width="20%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnClearStrike1";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Clear";
                            btnSettings.Width = 50;
                            btnSettings.ClientSideEvents.Click = "ClearStrike1";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
        <td>
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "txtStrike3value";
                textBox.Name = "txtStrike3value";
                textBox.Width = Unit.Pixel(0);
                textBox.ClientVisible = false;
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="5"></td>
        <td style="float:right">
            <table>
                <tr>
                    <td width="50%" align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveLabor";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewLabor";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewLabor";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewLabor";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
